Index: database/.gitignore
===================================================================
--- database/.gitignore	(revision c454c0f93713a533502b59e836c3d5437dc28a04)
+++ database/.gitignore	(revision c454c0f93713a533502b59e836c3d5437dc28a04)
@@ -0,0 +1,1 @@
+*.sqlite*
Index: database/factories/UserFactory.php
===================================================================
--- database/factories/UserFactory.php	(revision c454c0f93713a533502b59e836c3d5437dc28a04)
+++ database/factories/UserFactory.php	(revision c454c0f93713a533502b59e836c3d5437dc28a04)
@@ -0,0 +1,44 @@
+<?php
+
+namespace Database\Factories;
+
+use Illuminate\Database\Eloquent\Factories\Factory;
+use Illuminate\Support\Facades\Hash;
+use Illuminate\Support\Str;
+
+/**
+ * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\User>
+ */
+class UserFactory extends Factory
+{
+    /**
+     * The current password being used by the factory.
+     */
+    protected static ?string $password;
+
+    /**
+     * Define the model's default state.
+     *
+     * @return array<string, mixed>
+     */
+    public function definition(): array
+    {
+        return [
+            'name' => fake()->name(),
+            'email' => fake()->unique()->safeEmail(),
+            'email_verified_at' => now(),
+            'password' => static::$password ??= Hash::make('password'),
+            'remember_token' => Str::random(10),
+        ];
+    }
+
+    /**
+     * Indicate that the model's email address should be unverified.
+     */
+    public function unverified(): static
+    {
+        return $this->state(fn (array $attributes) => [
+            'email_verified_at' => null,
+        ]);
+    }
+}
Index: database/migrations/2014_10_12_000000_create_users_table.php
===================================================================
--- database/migrations/2014_10_12_000000_create_users_table.php	(revision c454c0f93713a533502b59e836c3d5437dc28a04)
+++ database/migrations/2014_10_12_000000_create_users_table.php	(revision c454c0f93713a533502b59e836c3d5437dc28a04)
@@ -0,0 +1,32 @@
+<?php
+
+use Illuminate\Database\Migrations\Migration;
+use Illuminate\Database\Schema\Blueprint;
+use Illuminate\Support\Facades\Schema;
+
+return new class extends Migration
+{
+    /**
+     * Run the migrations.
+     */
+    public function up(): void
+    {
+        Schema::create('users', function (Blueprint $table) {
+            $table->id();
+            $table->string('name');
+            $table->string('email')->unique();
+            $table->timestamp('email_verified_at')->nullable();
+            $table->string('password');
+            $table->rememberToken();
+            $table->timestamps();
+        });
+    }
+
+    /**
+     * Reverse the migrations.
+     */
+    public function down(): void
+    {
+        Schema::dropIfExists('users');
+    }
+};
Index: database/migrations/2014_10_12_100000_create_password_reset_tokens_table.php
===================================================================
--- database/migrations/2014_10_12_100000_create_password_reset_tokens_table.php	(revision c454c0f93713a533502b59e836c3d5437dc28a04)
+++ database/migrations/2014_10_12_100000_create_password_reset_tokens_table.php	(revision c454c0f93713a533502b59e836c3d5437dc28a04)
@@ -0,0 +1,28 @@
+<?php
+
+use Illuminate\Database\Migrations\Migration;
+use Illuminate\Database\Schema\Blueprint;
+use Illuminate\Support\Facades\Schema;
+
+return new class extends Migration
+{
+    /**
+     * Run the migrations.
+     */
+    public function up(): void
+    {
+        Schema::create('password_reset_tokens', function (Blueprint $table) {
+            $table->string('email')->primary();
+            $table->string('token');
+            $table->timestamp('created_at')->nullable();
+        });
+    }
+
+    /**
+     * Reverse the migrations.
+     */
+    public function down(): void
+    {
+        Schema::dropIfExists('password_reset_tokens');
+    }
+};
Index: database/migrations/2019_08_19_000000_create_failed_jobs_table.php
===================================================================
--- database/migrations/2019_08_19_000000_create_failed_jobs_table.php	(revision c454c0f93713a533502b59e836c3d5437dc28a04)
+++ database/migrations/2019_08_19_000000_create_failed_jobs_table.php	(revision c454c0f93713a533502b59e836c3d5437dc28a04)
@@ -0,0 +1,32 @@
+<?php
+
+use Illuminate\Database\Migrations\Migration;
+use Illuminate\Database\Schema\Blueprint;
+use Illuminate\Support\Facades\Schema;
+
+return new class extends Migration
+{
+    /**
+     * Run the migrations.
+     */
+    public function up(): void
+    {
+        Schema::create('failed_jobs', function (Blueprint $table) {
+            $table->id();
+            $table->string('uuid')->unique();
+            $table->text('connection');
+            $table->text('queue');
+            $table->longText('payload');
+            $table->longText('exception');
+            $table->timestamp('failed_at')->useCurrent();
+        });
+    }
+
+    /**
+     * Reverse the migrations.
+     */
+    public function down(): void
+    {
+        Schema::dropIfExists('failed_jobs');
+    }
+};
Index: database/migrations/2019_12_14_000001_create_personal_access_tokens_table.php
===================================================================
--- database/migrations/2019_12_14_000001_create_personal_access_tokens_table.php	(revision c454c0f93713a533502b59e836c3d5437dc28a04)
+++ database/migrations/2019_12_14_000001_create_personal_access_tokens_table.php	(revision c454c0f93713a533502b59e836c3d5437dc28a04)
@@ -0,0 +1,33 @@
+<?php
+
+use Illuminate\Database\Migrations\Migration;
+use Illuminate\Database\Schema\Blueprint;
+use Illuminate\Support\Facades\Schema;
+
+return new class extends Migration
+{
+    /**
+     * Run the migrations.
+     */
+    public function up(): void
+    {
+        Schema::create('personal_access_tokens', function (Blueprint $table) {
+            $table->id();
+            $table->morphs('tokenable');
+            $table->string('name');
+            $table->string('token', 64)->unique();
+            $table->text('abilities')->nullable();
+            $table->timestamp('last_used_at')->nullable();
+            $table->timestamp('expires_at')->nullable();
+            $table->timestamps();
+        });
+    }
+
+    /**
+     * Reverse the migrations.
+     */
+    public function down(): void
+    {
+        Schema::dropIfExists('personal_access_tokens');
+    }
+};
Index: database/seeders/DatabaseSeeder.php
===================================================================
--- database/seeders/DatabaseSeeder.php	(revision c454c0f93713a533502b59e836c3d5437dc28a04)
+++ database/seeders/DatabaseSeeder.php	(revision c454c0f93713a533502b59e836c3d5437dc28a04)
@@ -0,0 +1,22 @@
+<?php
+
+namespace Database\Seeders;
+
+// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
+use Illuminate\Database\Seeder;
+
+class DatabaseSeeder extends Seeder
+{
+    /**
+     * Seed the application's database.
+     */
+    public function run(): void
+    {
+        // \App\Models\User::factory(10)->create();
+
+        // \App\Models\User::factory()->create([
+        //     'name' => 'Test User',
+        //     'email' => 'test@example.com',
+        // ]);
+    }
+}
